execute as @e[tag=witch] at @s if entity @p[distance=..5] if score dialogue witch matches ..0 run scoreboard players set dialogue witch 1
execute as @e[tag=witch] at @s if entity @p[distance=..5] if score dialogue witch matches 1..410 run scoreboard players add dialogue witch 1
execute as @e[tag=witch] at @s if entity @e[nbt={Item:{id:"minecraft:dead_brain_coral",tag:{Nesir:1b}}}] run scoreboard players set dialogue witch 500
execute as @e[tag=witch] at @s if entity @e[nbt={Item:{id:"minecraft:dead_brain_coral",tag:{Nesir:1b}}}] run kill @e[type=item,distance=..5]
execute as @e[tag=witch] at @s if entity @p[distance=..5] if score dialogue witch matches 500..610 run scoreboard players add dialogue witch 1

execute as @e[tag=witch] at @s if score dialogue witch matches 5 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"text": "Caroline","color": "white","obfuscated": true},{"text": "> after this is done, I'll soon be able to curse those rebe-","color": "white"}]
execute as @e[tag=witch] at @s if score dialogue witch matches 55 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"selector":"@p","color": "white"},{"text": "> Hello!?","color": "white"}]

execute as @e[tag=witch] at @s if score dialogue witch matches 70 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"text": "Caroline","color": "white","obfuscated": true},{"text": "> Ahh! Who's here?","color": "white"}]
execute as @e[tag=witch] at @s if score dialogue witch matches 70 run tp @s ~ ~ ~ 90 0
execute as @e[tag=witch] at @s if score dialogue witch matches 70 run data merge entity @s {Pose:{RightArm:[-150f,20f,0f],LeftArm:[-150f,-20f,0f]}}

execute as @e[tag=witch] at @s if score dialogue witch matches 90 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"selector":"@p","color": "white"},{"text": "> Sorry for being nosy. I really need the potion to cure my water allergies. Can you help me make it?","color": "white"}]
execute as @e[tag=witch] at @s if score dialogue witch matches 100 run data merge entity @s {Pose:{RightArm:[-20f,20f,0f],LeftArm:[-20f,-20f,0f]}}

execute as @e[tag=witch] at @s if score dialogue witch matches 180 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"text": "Caroline","color": "white","obfuscated": true},{"text": "> In that case, I could help.","color": "white"}]
execute as @e[tag=witch] at @s if score dialogue witch matches 220 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"text": "Caroline","color": "white"},{"text": "> I'm Caroline, by the way.","color": "white"}]

execute as @e[tag=witch] at @s if score dialogue witch matches 260 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"selector":"@p","color": "white"},{"text": "> Oh, hi.","color": "white"}]
execute as @e[tag=witch] at @s if score dialogue witch matches 285 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"text": "Caroline","color": "white"},{"text": "> What I need you to do is get a flower called 'Nesir' from the top of the hill.","color": "white"}]

execute as @e[tag=witch] at @s if score dialogue witch matches 385 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"selector":"@p","color": "white"},{"text": "> Okay, got it!","color": "white"}]
execute as @e[tag=witch] at @s if score dialogue witch matches 405 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"text": "Caroline","color": "white"},{"text": "> Here's the special scissors for it. It needs to be delicately cut.","color": "white"}]
execute as @e[tag=witch] at @s if score dialogue witch matches 405 run give @p diamond_pickaxe{Damage:1560,CanDestroy:["minecraft:dead_brain_coral"],display:{Name:'{"text": "Scissors","color": "white","italic": false}'},Enchantments:[{id:"minecraft:silk_touch",lvl:1}]}

#Modify Name
execute as @a[nbt={Inventory:[{id:"minecraft:dead_brain_coral"}]}] at @s if entity @s[nbt=!{Inventory:[{id:"minecraft:dead_brain_coral",tag:{Nesir:1b}}]}] run function system:course/rename

#After Nesir
execute as @e[tag=witch] at @s if score dialogue witch matches 505 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"text": "Caroline","color": "white"},{"text": "> Nice! You've got the flower!","color": "white"}]

execute as @e[tag=witch] at @s if score dialogue witch matches 525 run particle dust 0.506 0.067 0.627 3 ~ ~1 ~ .5 .5 .5 1 50 normal
execute as @e[tag=witch] at @s if score dialogue witch matches 525 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"text": "Caroline","color": "white"},{"text": "> Here's the potion!","color": "white"}]
execute as @e[tag=witch] at @s if score dialogue witch matches 525 run give @a potion{CustomPotionEffects:[{Id:5,Duration:20,Amplifier:1,ShowParticles:0b}],CustomPotionColor:2137621,display:{Name:'{"text": "Water Allergies Potion","italic": false}',Lore:['{"text": "Water Allergies (Infinite)","color": "blue","italic": false}']},HideFlags:127}

execute as @e[tag=witch] at @s if score dialogue witch matches 565 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"selector":"@p","color": "white"},{"text": "> Thank you so much!","color": "white"}]
execute as @e[tag=witch] at @s if score dialogue witch matches 605 run tellraw @a[distance=..5] [{"text": "<","color": "white"},{"text": "Caroline","color": "white"},{"text": "> Have a nice day!","color": "white"}]

#Water Allergies
execute as @a at @s if predicate system:ifwater run tag @s remove waterallergic
execute as @a[tag=waterallergic] at @s if block ~ ~ ~ water run kill @s